function import_js(path)
{
	// add only once
	if ( document.getElementById(path) )
		return;
		
	// add a new script element
	var script_element = document.createElement("script")
	script_element.type = "text/javascript"
	script_element.src = path
	script_element.id = path
	document.getElementsByTagName("head")[0].appendChild(script_element)
}

function bodyDidLoad()
{
	import_js("js/debug.js")
	import_js("js/timestamp.js")
	import_js("js/main.js")
	import_js("js/gutter.js")
	import_js("js/attachments.js")
	import_js("js/bridge.js")
    
    document.body.setAttribute("onclick", "click_body(event);")
}

function log_script_tag_count()
{
	dlog("document.getElementsByTagName('script') = "+ document.getElementsByTagName('script').length + ' elements')
}

//setTimeout('log_script_tag_count()',500)


function click_body(event)
{
    if ( ! bridge_is_available() )
        return;
    
    Bridge.didClickBody(bridge_id_for_node(event.target))
}